﻿using System;
using System.Collections.ObjectModel;

namespace TreeViewMVVMCheckBoxSample.ViewModels
{
    public class MainViewModel
    {
        public ObservableCollection<CategoryViewModel> Categories { get; set; }

        public MainViewModel()
        {
            Categories = new ObservableCollection<CategoryViewModel>();

            CategoryViewModel beverages = new CategoryViewModel(null);
            beverages.Name = "Bevereges";

            for (int i = 0; i < 5; i++)
            {
                CategoryViewModel prod = new CategoryViewModel(beverages)
                {
                    Name = String.Format("Beverage {0}", i),
                    IsChecked = false
                };

                for (int j = 0; j < 3; j++)
                {
                    prod.SubCategories.Add(new CategoryViewModel(prod)
                {
                    Name = String.Format("SubBeverage {0}.{1}", i, j),
                    IsChecked = false
                });
                }
                beverages.SubCategories.Add(prod);
            }
            Categories.Add(beverages);


            CategoryViewModel confections = new CategoryViewModel(null);
            confections.Name = "Confections";
            for (int i = 0; i < 7; i++)
            {
                confections.SubCategories.Add(new CategoryViewModel(confections)
                {
                    Name = String.Format("Confection {0}", i),
                    IsChecked = false
                });
            }
            Categories.Add(confections);

            CategoryViewModel condiments = new CategoryViewModel(null);
            condiments.Name = "Condiments";
            for (int i = 0; i < 3; i++)
            {
                condiments.SubCategories.Add(new CategoryViewModel(condiments)
                {
                    Name = String.Format("Condiment {0}", i),
                    IsChecked = false
                });
            }
            Categories.Add(condiments);

        }
    }
}
